Package org.pushingpixels.substance.api

# Interface SchemeBaseColors

All Superinterfaces:
  `SubstanceTrait`

All Known Subinterfaces:
  `SubstanceColorScheme`

All Known Implementing Classes:
  `AquaColorScheme`, `BarbyPinkColorScheme`, `BaseColorScheme`, `BaseDarkColorScheme`, `BaseLightColorScheme`, `BlendBiColorScheme`, `BottleGreenColorScheme`, `BrownColorScheme`, `CharcoalColorScheme`, `CremeColorScheme`, `DarkGrayColorScheme`, `DarkMetallicColorScheme`, `DarkVioletColorScheme`, `DesertSandColorScheme`, `EbonyColorScheme`, `HueShiftColorScheme`, `InvertedColorScheme`, `JadeForestColorScheme`, `LightAquaColorScheme`, `LightGrayColorScheme`, `LimeGreenColorScheme`, `MetallicColorScheme`, `NegatedColorScheme`, `OliveColorScheme`, `OrangeColorScheme`, `PurpleColorScheme`, `RaspberryColorScheme`, `SaturatedColorScheme`, `SepiaColorScheme`, `ShadeColorScheme`, `ShiftColorScheme`, `SteelBlueColorScheme`, `SunfireRedColorScheme`, `SunGlareColorScheme`, `SunsetColorScheme`, `TerracottaColorScheme`, `TintColorScheme`, `ToneColorScheme`, `UltramarineColorScheme`

public interface SchemeBaseColors extends SubstanceTrait
Interface for base color scheme colors.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getDarkColor()`
Retrieves the dark color.
`Color`
`getExtraLightColor()`
Retrieves the extra color.
`Color`
`getForegroundColor()`
Retrieves the foreground color.
`Color`
`getLightColor()`
Retrieves the light color.
`Color`
`getMidColor()`
Retrieves the medium color.
`Color`
`getUltraDarkColor()`
Retrieves the ultra-dark color.
`Color`
`getUltraLightColor()`
Retrieves the ultra-light color.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### getForegroundColor

Color getForegroundColor()
Retrieves the foreground color.

Returns:
  Foreground color.

### getUltraLightColor

Color getUltraLightColor()
Retrieves the ultra-light color.

Returns:
  Ultra-light color.

### getExtraLightColor

Color getExtraLightColor()
Retrieves the extra color.

Returns:
  Extra color.

### getLightColor

Color getLightColor()
Retrieves the light color.

Returns:
  Light color.

### getMidColor

Color getMidColor()
Retrieves the medium color.

Returns:
  Medium color.

### getDarkColor

Color getDarkColor()
Retrieves the dark color.

Returns:
  Dark color.

### getUltraDarkColor

Color getUltraDarkColor()
Retrieves the ultra-dark color.

Returns:
  Ultra-dark color.